KVIRC(1)

NAME
KVIrc - un client IRC graphique.

SYNOPSIS
kvirc [options] [server [port]] [ircurl [ircurl [...]]]

DESCRIPTION

KVIrc est un client IRC visuel basée sur la bibliothéque Qt.

Il a l'intention d'être une interface facile d'utilisation pour le protocole IRC (voir RFC1459) avec des extensions.

OPTIONS
KVIrc acceptes les options suivantes :

-h, --help
    Affiche une liste de toutes les commandes en lignes.

-v, --version
    Affiche des informations sur la version.

-c <fichier>
    Utilise <fichier> en tant que fichier de configuration au lieu de ~/.kvirc.rc Si <fichier> n'existe pas, utilise par défaut $HOME/.kvirc.rc

-n <fichier>
    Utilise <fichier> en tant que fichier de configuration au lieu de ~/.kvirc.rc Crée <fichier> si il n'existe pas.

-f  Force une nouvelle session de KVIrc, même si KVIrc est déjà lancer.

-e <commands>
    If a KVIrc session is already running, execute the <commands> in that session, otherwise startup normally and execute <commands>. <commands> must be a single shell token. You can eventually use this switch more than once.

-x <commands>
    If a KVIrc session is already running, execute the <commands> in that session, otherwise do nothing and exit. <commands> must be a single shell token. You can eventually use this switch more than once.

-r <commands>
    If a KVIrc session is already running, execute the <commands> in that session, otherwise start up normally (do not execute). <commands> must be a single shell token. You can eventually use this switch more than once.

-m  If a KVIrc session is already running, show an informational popup dialog instead of writing to the console. This is useful when starting KVIrc from a graphical taskbar button.

--nosplash
    Do not show the splash screen at startup

[server]
    Connect to this server after startup.

[port]
    Use this port for connection. This option requires also a server name.

[ircurl]
    An url in the following form:
      irc[6]://<server>[:<port>][/<channel>[?<pass>]] For each url on the commandline create a new irc-context and attempt to connect to <server> on the specified <port>. The optional <channel> is joined just after the connection has been estabilished.

ENVIRONMENT

KVIRC_LANG
    Language setting. If not set KVIrc will check for $LANG

LANG
    Language setting. If not set (or set to 'EN','POSIX' or 'C') KVIrc will use the default language (english).

FILES
$PREFIX/share/kvirc/VERSION/*
    Directory with the global KVIrc settings, modules etc... $HOME/.kvirc.rc . This is the first file that KVIrc looks for. If the -c commandline option is specified , the file passed as the option parameter is used instead of this one. If the file is found , KVIrc reads the first non-empty line and treats it as the path to the KVIrc Local directory. If the file can not be found or the KVIrc Local directory is not existing , KVIrc enters the setup mode and allows selecting a new KVIrc Local directory. KVIrc Local directory/* Directory with the local (per user) KVIrc settings. Similar to the global one.

SEE ALSO
X(1) talk(1)

COPYRIGHT
Copyright © 1999-2009 Szymon Stefanek and The KVIrc Development Team Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.

SUGGESTIONS AND BUG REPORTS
Any bugs found (and feature requests) should be reported to the tracker at: <https://svn.kvirc.de/>

OFFICIAL WWW SITE
http://www.kvirc.net En Français - http://www.kvirc.fr

AUTHORS
Szymon 'Pragma' Stefanek <pragma at kvirc dot net> Codage, corrections, nouvelles fonctionnalités et bien plus encore de la part de Alessandro 'Noldor@freenode' Carbone, Elvio 'HelLViS69@freenode' Basello, Fabio 'CtrlAltCa@freenode' Bas, Alexey 'Alexey@freenode' Uzhva, Voker57@freenode Ancients contributeurs With patches, fixes, extensions, and more from [Anodine]@efnet, Till 'BuTi@ircnet' Busch, Fritz 'KNFritz@ircnet' Elfert, RAD Kade 1 With bug-hunting, hard-thinking, eyes-consuming, nights spent on IRC, great suggestions and more from lots of people all over the net, including but not limited to Paul 'infected@ircnet' Boehm, Olle 'Crocodile@ircnet' Hällnäs, Diablo@ircnet, Andrew 'Drosha@ircnet' Frolov, MalboroLi@ircnet, munehiro@ircnet